# $Revision: 1.6.2.2 $, $Date: 2003/04/28 12:51:51 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	SpamTest-Bayesian
Summary:	Mail::SpamTest::Bayesian - Perl extension for Bayesian spam-testing
Summary(pl):	Mail::SpamTest::Bayesian - rozszerzenie do wykrywania spamu metod bayesowsk
Name:		perl-Mail-SpamTest-Bayesian
Version:	0.02
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl(MIME::Parser) >= 5.406
BuildRequires:	perl-BerkeleyDB >= 0.17
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the Bayesian spam-testing algorithm described
by Paul Graham at <http://www.paulgraham.com/spam.html>.

In short: the system is trained by exposure to mailboxes of known spam
and non-spam messages.  These are (1) MIME-decoded, and non-text parts
deleted; (2) tokenised.  The database files spam.db and nonspam.db
contain lists of tokens and the number of messages in which they have
occurred; general.db holds a message count.

%description -l pl
Ten modu jest implementacj bayesowskiego algorytmu wykrywania spamu
opisanego przez Paula Grahama w <http://www.paulgraham.com/spam.html>.

W skrcie: system jest uczony poprzez przedstawianie skrzynek z
wiadomociami, o ktrych wiadomo, e zawieraj spam lub go nie
zawieraj. S one (1) zakodowane MIME, z usunitymi czciami
nietekstowymi; (2) ztokenizowane. Pliki baz danych spam.db i
nonspam.db zawieraj listy tokenw i liczby wiadomoci, w ktrych
wystpiy; general.db przechowuje liczb wiadomoci.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%dir %{perl_sitelib}/Mail/SpamTest
%{perl_sitelib}/Mail/SpamTest/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Mail-SpamTest-Bayesian.spec,v $
Revision 1.6.2.2  2003/04/28 12:51:51  ankry
- really rel++

Revision 1.6.2.1  2003/03/13 00:58:00  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:36:13  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/16 08:25:40  ankry
- added missing dir
- release 2

Revision 1.3  2002/09/12 22:20:53  radek
- version 0.02
- added Changes and README files

Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
